<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="response-type" xml:lang="pt-BR">
  <info>
    <revision version="0.1" date="2012-04-10" status="stub"/>

    <credit type="author copyright">
      <name>Tiffany Antopolski</name>
      <email its:translate="no">tiffany.antopolski@gmail.com</email>
      <years>2012</years>
    </credit>

    <desc/>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Rafael Fontenelle</mal:name>
      <mal:email>rafaelff@gnome.org</mal:email>
      <mal:years>2013, 2018</mal:years>
    </mal:credit>
  </info>

  <title>enum ResponseType</title>

  <terms>
    <item>
  <title>ResponseType.NONE = -1</title>
  <p>Returned if an action widget has no response id, or if the dialog gets programmatically hidden or destroyed</p>
    </item>
    <item>
  <title>ResponseType.REJECT = -2</title>
  <p>Generic response id, not used by GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.ACCEPT = -3</title>
  <p>Generic response id, not used by GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.DELETE_EVENT = -4</title>
  <p>Returned if the dialog is deleted</p>
    </item>
    <item>
  <title>ResponseType.OK = -5</title>
  <p>Returned by OK buttons in GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.CANCEL = -6</title>
  <p>Returned by Cancel buttons in GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.CLOSE = -7</title>
  <p>Returned by Close buttons in GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.YES = -8</title>
  <p>Returned by Yes buttons in GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.NO = -9</title>
  <p>Returned by No buttons in GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.APPLY = -10</title>
  <p>Returned by Apply buttons in GTK+ dialogs</p>
    </item>
    <item>
  <title>ResponseType.HELP = -11</title>
  <p>Returned by Help buttons in GTK+ dialogs</p>
    </item>
</terms>
</page>
